
Robotics Service Bus - Bug #1146
CMake configuration aborts if no spread is available
08/20/2012 09:13 PM - S. Wrede

Status: Resolved Start date: 08/20/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: C++ Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Environment: MacOS
Clean system, only RSC-0.8 installed, no Spread.

device-07f5f8:build swrede$ cmake -DCMAKE_INSTALL_PREFIX=/vol/cit ..
-- The C compiler identification is GNU 4.2.1
-- The CXX compiler identification is Clang 3.1.0
-- Checking whether C compiler has -isysroot
-- Checking whether C compiler has -isysroot - yes
-- Checking whether C compiler supports OSX deployment target flag
-- Checking whether C compiler supports OSX deployment target flag - yes
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Boost version: 1.50.0
-- Found BoostUUID: /usr/local/include  
-- RSC version: 0.8.24
-- RSC libraries: rsc
-- RSC runtime library dirs: /vol/cit/share/rsc0.8/../../bin
-- RSC CMake module path: /vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules
-- Using CMake module path:
/vol/cit/share/cmake/Modules;/vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules;/vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules
-- Found PkgConfig: /usr/local/bin/pkg-config (found version "0.25") 
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- This is a git repository
-- Performing Test CHECK_CXX_FLAG_pipe
-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall
-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra
-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.50.0
-- Found the following Boost libraries:
--   regex
--   date_time
--   program_options
-- Boost version: 1.50.0
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pth
/Modules
-- Found PkgConfig: /usr/local/bin/pkg-config (found version "0.25") 
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- This is a git repository
-- Performing Test CHECK_CXX_FLAG_pipe
-- Performing Test CHECK_CXX_FLAG_pipe - Success
-- Performing Test CHECK_CXX_FLAG_Wall
-- Performing Test CHECK_CXX_FLAG_Wall - Success
-- Performing Test CHECK_CXX_FLAG_Wextra
-- Performing Test CHECK_CXX_FLAG_Wextra - Success
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS
-- Performing Test CHECK_CXX_FLAG_DIAGNOSTICS - Success
-- Boost version: 1.50.0
-- Found the following Boost libraries:
--   regex
--   date_time
--   program_options
-- Boost version: 1.50.0
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - found
-- Found Threads: TRUE  
-- Threading library: 
-- protoc does not support matlab
-- Found PROTOBUF: /usr/local/lib/libprotobuf.dylib  
-- RSBProtocol: Matching wire-format version (8)
-- Searching for spread library with name libspread.dylib
-- Spread version 4.0 requested
-- Found spread version: 
-- Unable to determine spread version because the compilation of the test program failed
-- Could NOT find Spread (missing:  SPREAD_LIBRARIES SPREAD_INCLUDE_DIRS SPREAD_VERSION_ACCEPTABLE)
(Required is at least version "4.0")
-- Spread executable not found. Unit tests will not be built!
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Disabled spread transport
-- Enabled socket transport
-- Enabling export macro RSB_PROTOCOL_EXPORT for CPP
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
-- Generating package for generator: TGZ
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
SPREAD_INCLUDE_DIRS (ADVANCED)
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/src
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
SPREAD_LIBRARIES (ADVANCED)
    linked by target "rsbcore" in directory /Users/swrede/Workspace/rsb/rsb-cpp/src

-- Configuring incomplete, errors occurred!
device-07f5f8:build swrede$ cmake --version
cmake version 2.8.9
device-07f5f8:build swrede$ cmake -DCMAKE_INSTALL_PREFIX=/vol/cit -DBUILD_SPREAD_TRANSPORT=OFF ..
-- Boost version: 1.50.0
-- RSC version: 0.8.24
-- RSC libraries: rsc
-- RSC runtime library dirs: /vol/cit/share/rsc0.8/../../bin
-- RSC CMake module path: /vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules
-- Using CMake module path:
/vol/cit/share/cmake/Modules;/vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules;/vol/cit/share/rsc0.8/../../share/rsc0.8/cmake/Modules
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- This is a git repository
-- Boost version: 1.50.0
-- Found the following Boost libraries:
--   regex
--   date_time
--   program_options
-- Boost version: 1.50.0
-- Threading library: 
-- protoc does not support matlab
-- RSBProtocol: Matching wire-format version (8)
-- Spread executable not found. Unit tests will not be built!
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Disabled spread transport
-- Enabled socket transport
-- Enabling export macro RSB_PROTOCOL_EXPORT for CPP
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
-- Generating package for generator: TGZ
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
SPREAD_INCLUDE_DIRS (ADVANCED)
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/src
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
SPREAD_LIBRARIES (ADVANCED)
    linked by target "rsbcore" in directory /Users/swrede/Workspace/rsb/rsb-cpp/src

-- Configuring incomplete, errors occurred!

/Modules
-- Could NOT find Lcov (missing:  LCOV_EXECUTABLE GENHTML_EXECUTABLE) 
-- Could NOT find gcovr (missing:  GCOVR_EXECUTABLE) 
-- Could NOT find sloccount (missing:  SLOCCOUNT_EXECUTABLE) 
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Could NOT find Cppcheck (missing:  CPPCHECK_EXECUTABLE CPPCHECK_VERSION) 
-- This is a git repository
-- Boost version: 1.50.0
-- Found the following Boost libraries:
--   regex
--   date_time
--   program_options
-- Boost version: 1.50.0
-- Threading library: 
-- protoc does not support matlab
-- RSBProtocol: Matching wire-format version (8)
-- Spread executable not found. Unit tests will not be built!
-- Could NOT find Doxygen (missing:  DOXYGEN_EXECUTABLE) 
-- Disabled spread transport
-- Enabled socket transport
-- Enabling export macro RSB_PROTOCOL_EXPORT for CPP
-- Cannot enable coverage targets because neither lcov nor gcovr are found.
-- Generating package for generator: TGZ
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
SPREAD_INCLUDE_DIRS (ADVANCED)
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/src
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/examples
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
   used as include directory in directory /Users/swrede/Workspace/rsb/rsb-cpp/apps
SPREAD_LIBRARIES (ADVANCED)
    linked by target "rsbcore" in directory /Users/swrede/Workspace/rsb/rsb-cpp/src

-- Configuring incomplete, errors occurred!

Associated revisions
Revision 715140cb - 08/20/2012 09:20 PM - S. Wrede

Setting spread cmake vars explicitely to an empty string before use in further CMake logic, refs #1146

Revision 5243488a - 08/20/2012 09:27 PM - S. Wrede

Setting spread cmake vars explicitely to an empty string before use in further CMake logic, refs #1146

Revision 997bf725 - 08/21/2012 03:59 PM - S. Wrede

Setting spread cmake vars explicitely to an empty string before use in further CMake logic, refs #1146

History
#1 - 08/20/2012 09:23 PM - S. Wrede
- Status changed from New to Resolved
- % Done changed from 0 to 100

Should be fixed with commit:715140cb. Needs also be backported to 0.7.

#2 - 08/20/2012 09:33 PM - S. Wrede

Backport now also done.
